SFML 3.1.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::Version Struct Reference

`#include <SFML/System/Version.hpp>`

## Public Attributes
const std::int8_t | major
| SFML major version.
const std::int8_t | minor
| SFML minor version.
const std::int8_t | patch
| SFML patch version.
const bool | isRelease
| true if this is a release version, false if this is a development version
const std::string_view | string
| String representation of the SFML version, e.g. 3.1.0 or 3.1.0-dev.

## Detailed Description

Definition at line 39 of file Version.hpp.

## Member Data Documentation

## ◆ isRelease

const bool sf::Version::isRelease

true if this is a release version, false if this is a development version

Definition at line 44 of file Version.hpp.

## ◆ major

const std::int8_t sf::Version::major

SFML major version.

Definition at line 41 of file Version.hpp.

## ◆ minor

const std::int8_t sf::Version::minor

SFML minor version.

Definition at line 42 of file Version.hpp.

## ◆ patch

const std::int8_t sf::Version::patch

SFML patch version.

Definition at line 43 of file Version.hpp.

## ◆ string

const std::string_view sf::Version::string

String representation of the SFML version, e.g. 3.1.0 or 3.1.0-dev.

Definition at line 45 of file Version.hpp.

The documentation for this struct was generated from the following file:

- Version.hpp